Name:		MySQL-zrm
Version:	2.1.1
Release:	5%{?dist}
Summary:	MySQL backup manager

Group:		Applications/System
License:	GPLv2
URL:		http://www.zmanda.com/backup-mysql.html
Source0:	http://www.zmanda.com/downloads/community/ZRM-MySQL/%{version}/Source/MySQL-zrm-%{version}.tar.gz

Patch0:		MySQL-zrm-disable-xinetd-service.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	xinetd
Requires:	logrotate
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(DBI)
Requires:	perl(XML::Parser)
Requires:	perl(Data::Report) >= 0.05 
Requires:	perl(Data::Report::Plugin::Html) 
Requires:	perl(Data::Report::Plugin::Text) 

%description
Easy-to-use yet flexible and robust backup and recovery solution for MySQL 
server.

%prep
%setup -q
%patch0 -p1

%build
# we should use modules from repo
rm -rf usr/lib/mysql-zrm/Data
rm -rf usr/lib/mysql-zrm/XML

# get rid of zero-length files
rm -rf var/log/mysql-zrm/*

%install
rm -rf %{buildroot}
mkdir %{buildroot}

mkdir -p %{buildroot}/%{perl_vendorlib}/
mkdir -p %{buildroot}/%{_mandir}/man1/
mkdir -p %{buildroot}/%{_mandir}/man5/
mkdir -p %{buildroot}/%{_sharedstatedir}/
mkdir -p %{buildroot}/%{_var}/log/
mkdir -p %{buildroot}/%{_datadir}/
mkdir -p %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/%{_sysconfdir}/xinetd.d/
mkdir -p %{buildroot}/%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}/%{_sysconfdir}/mysql-zrm/

# install ourselves in correct locations
cp -rp usr/lib/mysql-zrm/ZRM			%{buildroot}/%{perl_vendorlib}
cp -rp usr/share/man/man1/*			%{buildroot}/%{_mandir}/man1/
cp -rp usr/share/man/man5/*			%{buildroot}/%{_mandir}/man5/
cp -rp var/lib/*				%{buildroot}/%{_sharedstatedir}
cp -rp var/log/*				%{buildroot}/%{_var}/log/
cp -rp usr/share/*				%{buildroot}/%{_datadir}/
cp -rp usr/bin/*				%{buildroot}/%{_bindir}/
cp -rp etc/mysql-zrm				%{buildroot}/%{_sysconfdir}/
cp -rp etc/xinetd.d/mysql-zrm-socket-server	%{buildroot}/%{_sysconfdir}/xinetd.d/
# name logrotate job as package name
cp -rp etc/logrotate.d/mysql-zrm		%{buildroot}/%{_sysconfdir}/logrotate.d/%{name}

%clean
rm -rf %{buildroot}


%files
%defattr(0644,root,root,0755)

%attr(-,mysql,mysql) %dir %{_var}/log/mysql-zrm
%dir %{_sharedstatedir}/mysql-zrm
%dir %{_sysconfdir}/mysql-zrm/
%{_datadir}/mysql-zrm/plugins/*.smf
%attr(0755,root,root) %{_datadir}/mysql-zrm/plugins/*.pl
%attr(0755,root,root) %{_bindir}/*
%{perl_vendorlib}/ZRM

%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc usr/share/doc/*

%config(noreplace) %{_sysconfdir}/xinetd.d/mysql-zrm-socket-server
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/mysql-zrm/*


%changelog
* Mon Oct 11 2009 <mi@v3.sk> - 2.1.1-5
- replaced _datarootdir for _datadir

* Fri Oct 9 2009 <mi@v3.sk> - 2.1.1-4
- Removed uneeded dependencies
- Replaced /var/lib with macro

* Fri Oct 9 2009 <mi@v3.sk> - 2.1.1-3
- Removed repeated file attr-s
- Disabled mysql-zrm-socket-server by default
- Changed owner of our /var/log/* to mysql:mysql
- Corrected documentation handling

* Wed Oct 7 2009 <mi@v3.sk> - 2.1.1-2
- corrected license
- minnor changes

* Fri Oct 2 2009 <mi@v3.sk> - 2.1.1-1
- Initial packaging
